import oscP5.*;
import netP5.*;

OscP5 oscP5;

int nb = 6;
String name = "   ";
String [] list;
PFont font;

void setup() {
  fullScreen();
  frameRate(25);
  list = new String[nb];
  list[0] = " ";
  list[1] = " ";
  list[2] = " ";
  list[3] = " ";
  list[4] = " ";
  list[5] = " ";
  oscP5 = new OscP5(this,8000);
  font = loadFont("AndaleMono-12.vlw");
  }
  
  void draw(){
    background(0);
    if(name.equals(list[0]) == false){
        for(int i = nb-1; i>0; i--){
          list[i] = list[i-1];
          }
    list[0] = name;
    }
    textFont(font,42);
    text(list[0],25,25);
    textFont(font,28);
    text(list[1],25,50);
    textFont(font,18);
    text(list[2],25,68);
    textFont(font,12);
    text(list[3],25,78);
    textFont(font,12);
    text(list[4],25,88);
    textFont(font,12);
    text(list[5],25,98);
   } 
  
  void oscEvent(OscMessage theOscMessage) {
  if(theOscMessage.checkAddrPattern("/name")==true) {
      String nameOsc = theOscMessage.get(0).stringValue();
      name = nameOsc;
    }  
  } 
